<?php

/*
 * @version		$Id: default.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW Player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');
$datas = $this->datas;

?>
<style>
.videolist td{
padding:10px 0;
}
.videolist .row0{
border-top: 1px solid #CEECF5;
border-bottom: 1px solid #CEECF5;
background: #EFF8FB;
}
.videolist .row1{
padding:0 10px;
border-top: 1px solid #CEECF5;
border-bottom: 1px solid #CEECF5;
background:#ffffff;
}
.videoheader th{
	padding-top:15px;
	padding-bottom:15px;
}
</style>
<form action="index.php?option=com_hdwplayer&task=category" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
  <table style="padding-bottom:10px;">
    <tr>
      <td align="left" width="100%"><?php echo JText::_('Filter:'); ?>
        <input type="text" name="search" id="search" value="<?php echo $this->lists['search'] ?>" class="text_area" title="<?php echo JText::_('Filter by Name'); ?>"/>
        <button onclick="this.form.submit();"><?php echo JText::_('Go'); ?></button>
        <button onclick="document.getElementById('search').value='';this.form.getElementById('filter_state').value='-1';this.form.submit();"> <?php echo JText::_('Reset'); ?></button></td>
      <td nowrap="nowrap"><?php echo $this->lists['state']; ?> </td>
    </tr>
  </table>
  <table class="adminlist">
    <thead class="videoheader">
      <tr>
        <th width="2%">#</th>
        <th width="2%"><input type="checkbox" name="toggle"  value="" onClick="checkAll(<?php echo count( $datas ); ?>);" />
        </th>
        <th width="20%"> <?php echo JHTML::_('grid.sort', 'Category Name', 'category name', @$lists['order_Dir'], @$lists['order'] ); ?> </th>
        <th> <?php echo JHTML::_('grid.sort', 'Category Image', 'category image', @$lists['order_Dir'], @$lists['order'] ); ?> </th>
        <th width="5%" class="title" nowrap="nowrap"> <?php echo JHTML::_('grid.sort', 'Published', 'cd.published', @$lists['order_Dir'], @$lists['order'] ); ?> </th>
      </tr>
    </thead>
    <tbody class="videolist">
      <?php
		$k = 0;
		for ($i=0, $n=count($datas); $i < $n; $i++) {
			$row = $datas[$i];
			$k          = $i % 2;
			$link 		= JRoute::_( 'index.php?option=com_hdwplayer&task=editcategory&'. JSession::getFormToken() .'=1&'.'cid[]='. $row->id );
			$checked 	= JHTML::_('grid.id', $i, $row->id );
			$published 	= JHTML::_('grid.published', $row, $i );
		?>
      <tr class="<?php echo "row$k"; ?>">
        <td align="center"><?php echo $i+1;?></td>
        <td align="center"><?php echo $checked; ?></td>
        <td align="center"><a href="<?php echo $link; ?>"> <?php echo $row->name;?></a></td>
        <td align="center"><?php echo $row->image;?></td>
        <td align="center"><?php echo $published; ?></td>
      </tr>
      <?php
      }
  ?>
    </tbody>
    <tfoot>
      <tr>
        <td colspan="15"><?php echo $this->pagination->getListFooter(); ?></td>
      </tr>
    </tfoot>
  </table>
  <input type="hidden" name="task" value="category" />
  <input type="hidden" name="boxchecked" value="0">
  <?php echo JHTML::_( 'form.token' ); ?>
</form>