<?php

/*
 * @version		$Id: controller.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW Player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class HdwplayerController extends JControllerLegacy {

	function __construct() {
        if(JRequest::getCmd('view') == '') {
            JRequest::setVar('view', 'display');
        }
        $this->item_type = 'Default';
        parent::__construct();
    }
	
	function display($cachable = false, $urlparams = Array()) {
		$document = JFactory::getDocument();
		$vType	  = $document->getType();
	    $view     = $this->getView('default', $vType);
		
        $model    = $this->getModel('default');
        $view->setModel($model, true);

		$view->display();
	}
	
	function config() {
        $model    = $this->getModel('config');
        $model->getdata();
	}
	function skin() {
		//JRequest::checkToken( 'get' ) or die( 'Invalid Token' );
	
        $model    = $this->getModel('skin');
        $model->getdata();
	}
	function skinxml(){
		$model = $this->getModel('skinxml');
		$model->getdata();
	}
	function playlist() {
		//JRequest::checkToken( 'get' ) or die( 'Invalid Token' );
	
        $model    = $this->getModel('playlist');
        $model->getdata();
	}
	
	function player() {
		$model    = $this->getModel('player');
        $model->getplayer();
	}
	
	function email() {
		JRequest::checkToken( 'get' ) or die( 'Invalid Token' );
	
		$model    = $this->getModel('email');
        $model->sendMail();
	}
	
	function views()
	{		
        $model = $this->getModel('views');
        $model->addview();
	}	
	
	function add()
	{		
        $model = $this->getModel('videos');
        $model->save();
	}
	
	function edit()
	{		
        $this->add();
	}
	
	function delete()
	{		
        $model = $this->getModel('videos');
        $model->delete();
	}
	
	function search()
	{		
        $document = JFactory::getDocument();
		$vType	  = $document->getType();
	    $view     = $this->getView('search', $vType);
		
        $model    = $this->getModel('search');
        $view->setModel($model, true);

		$view->display();
	}
	
}

?>